Bug 1008984 - [abrt] exaile-3.3.1-3.fc19: files.py:446:idle:TypeError: could not convert path to a GtkTreePath
[abrt] exaile-3.3.1-3.fc19: files.py:446:idle:TypeError: could not convert pa...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: exaile (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
abrt_hash:da90a3fabb625fbc0b4bf1ba6d7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 08:38 EDT by pioutw
Modified: 2015-02-17 12:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:13:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.71 KB, text/plain)
2013-09-17 08:38 EDT, pioutw
no flags Details
File: environ (1.24 KB, text/plain)
2013-09-17 08:38 EDT, pioutw
no flags Details

  None (edit)
Description pioutw 2013-09-17 08:38:05 EDT
Description of problem:
ma musique est sur une autre partition
cette partition est montée automatiquement au démarrage (fait avec gnome-disks)
quand je lance la lecture d'un mp3 depuis exaile:
"No such file "/run/media/pi/stock...."
note: pour des fichiers locaux c'est ok

Version-Release number of selected component:
exaile-3.3.1-3.fc19

Additional info:
reporter:       libreport-2.1.7
cmdline:        /usr/bin/python /usr/share/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
executable:     /usr/share/exaile/exaile.py
kernel:         3.10.11-200.fc19.i686.PAE
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
files.py:446:idle:TypeError: could not convert path to a GtkTreePath

Traceback (most recent call last):
  File "/usr/share/exaile/xlgui/panel/files.py", line 446, in idle
    view.set_cursor(cursor)
TypeError: could not convert path to a GtkTreePath

Local variables in innermost frame:
name: 'windows virtuel'
f: <__main__.GLocalFile at 0x91e9284: file:///home/pi/windows%20virtuel>
self: <FilesPanel object at 0x91e14dc (xlgui+panel+files+FilesPanel at 0x92408c0)>
subdirs: [('\r \x1d\x10\x0c \x01\t\t\t\t\t\t\x01\x10\t\t\t\t\t', 'Bureau', <__main__.GLocalFile at 0x89c0fcc: file:///home/pi/Bureau>), ('\x0e\x14!\x04\x01\t\t\t\t\x01\x10\t\t\t', 'Civ2', <__main__.GLocalFile at 0x91e36e4: file:///home/pi/Civ2>), ('\x0f\x1a\x0e \x18\x10\x19\x1f\x1e\x01\t\t\t\t\t\t\t\t\t\x01\x10\t\t\t\t\t\t\t\t', 'Documents', <__main__.GLocalFile at 0x89c75a4: file:///home/pi/Documents>), ('\x0f\x1d\x1a\x1b\r\x1a#\x01\t\t\t\t\t\t\t\x01\x10\t\t\t\t\t\t', 'Dropbox', <__main__.GLocalFile at 0x91e925c: file:///home/pi/Dropbox>), ('\x14\x18\x0c\x12\x10\x1e\x01\t\t\t\t\t\t\x01\x10\t\t\t\t\t', 'Images', <__main__.GLocalFile at 0x91e389c: file:///home/pi/Images>), ('\x18\x1a\x0f\x10\x17\x10\x1e\x01\t\t\t\x0c\t\t\t\x01\x10\t\t\t\t\t\t', 'Mod\xc3\xa8les', <__main__.GLocalFile at 0x91e320c: file:///home/pi/Mod%C3%A8les>), ('\x18 \x1e\x14\x1c \x10\x01\t\t\t\t\t\t\t\x01\x10\t\t\t\t\t\t', 'Musique', <__main__.GLocalFile at 0x91e375c: file:///home/pi/Musique>), ('\x1b \r\x17\x14\x0e\x01\t\t\t\t\t\t\x01\x10\t\t\t\t\t', 'Public', <__main__.GLocalFile at 0x91e3644: file:///home/pi/Public>), ('\x1f\x10\x17\x10\x0e\x13\x0c\x1d\x12\x10\x18\x10\x19\x1f\x1e\x01\t\t\t\t\t\t\t\t\t\t\t\x0b\t\x0b\t\x01\x10\t\t\t\t\t\t\t\t\t\t\t\t\t\t', 'T\xc3\xa9l\xc3\xa9chargements', <__main__.GLocalFile at 0x91e38c4: file:///home/pi/T%C3%A9l%C3%A9chargements>), ('!\x14\x0f\x10\x1a\x1e\x01\t\t\x0b\t\t\t\x01\x10\t\t\t\t\t', 'Vid\xc3\xa9os', <__main__.GLocalFile at 0x91e3a7c: file:///home/pi/Vid%C3%A9os>), ('!\x14\x1d\x1f \x0c\x17\r\x1a#!\x18\x1e\x01\t\t\t\t\t\t\t\t\t\t\t\t\t\x01\x10\t\t\t\t\t\t\x10\t\t\x10\x10\t\x01\x0b5', 'VirtualBox VMs', <__main__.GLocalFile at 0x91e91e4: file:///home/pi/VirtualBox%20VMs>), ('"\x14\x19\x0f\x1a"\x1e!\x14\x1d\x1f \x10\x17\x01\t\t\t\t\t\t\t\t\t\t\t\t\t\t\x01\t\t\t\t\t\t\t\t\t\t\t\t\t\t\x01\x085', 'windows virtuel', <__main__.GLocalFile at 0x91e9284: file:///home/pi/windows%20virtuel>)]
subfiles: []
cursor: ((0,), None)
sortname: '"\x14\x19\x0f\x1a"\x1e!\x14\x1d\x1f \x10\x17\x01\t\t\t\t\t\t\t\t\t\t\t\t\t\t\x01\t\t\t\t\t\t\t\t\t\t\t\t\t\t\x01\x085'
directory: <__main__.GLocalFile at 0x91e348c: file:///home/pi>
model: <gtk.ListStore object at 0x91e19b4 (GtkListStore at 0x9049f18)>
history: False
view: <FilesDragTreeView object at 0x91e1acc (GtkTreeView at 0x91a6cf0)>
Comment 1 pioutw 2013-09-17 08:38:09 EDT
Created attachment 798800 [details]
File: backtrace
Comment 2 pioutw 2013-09-17 08:38:12 EDT
Created attachment 798801 [details]
File: environ
Comment 3 Fedora Admin XMLRPC Client 2014-07-26 13:08:51 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2014-07-26 23:49:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2015-01-09 14:52:16 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 12:13:18 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.